Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Objects & records

List, create, update and delete records in any object — one at a time or in bulk — and read the objects themselves.

List records in an object

GET/objects/{objectId}/records
Scope objects:viewRead-only

Path parameters

NameType
objectIdrequiredstring

Query parameters

NameType
limitnumber
cursorstring
sortstring
dir"asc" | "desc"
filterstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects/{objectId}/records?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a record in an object

POST/objects/{objectId}/records
Scope objects:useWrites data

Path parameters

NameType
objectIdrequiredstring

Request body

FieldType
datarequiredobject
ownerstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/objects/{objectId}/records" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"data":{"policy_number":"STAR/2025/102309","premium":12600}}'

Get a single record by id

GET/objects/records/{id}
Scope objects:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects/records/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a record

PATCH/objects/records/{id}
Scope objects:useWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
datarequiredobject

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/objects/records/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"data":{}}'

Delete a record

DELETE/objects/records/{id}
Scope objects:useWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/objects/records/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Bulk-create records in an object

POST/objects/{objectId}/records/bulk
Scope objects:useWrites data

Path parameters

NameType
objectIdrequiredstring

Request body

FieldType
recordsrequiredarray of object

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/objects/{objectId}/records/bulk" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"records":[{}]}'

List object schemas

GET/objects
Scope objects:viewRead-only

Query parameters

NameType
qstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create an object (schema)

POST/objects
Scope objects:manageWrites data

Request body

FieldType
namerequiredstring
pluralNamestring
slugstring
descriptionstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/objects" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","pluralName":"…","slug":"…","description":"…"}'

Get an object schema

GET/objects/{id}
Scope objects:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update an object (schema / fields)

PATCH/objects/{id}
Scope objects:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/objects/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete an object

DELETE/objects/{id}
Scope objects:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/objects/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"